Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.jpa
Class ContextMappingInfo

    java.lang.Object
      org.jbpm.runtime.manager.impl.jpa.ContextMappingInfo

All Implemented Interfaces:
  Serializable

    @Entity
    public class ContextMappingInfo

extends Object
implements Serializable

The main entity that helps the runtime manager keep track of which context is bound to which `KieSession`. It also provides the following two queries to fetch required information:

- FindContextMapingByContextId
- FindContextMapingByKSessionId

This entity must be included in the persistence.xml when the "Per Process Instance" strategy is used.

See Also:
  Serialized Form

Constructor Summary
`ContextMappingInfo()`
`ContextMappingInfo(String contextId, Long ksessionId, String ownerId)`

Method Summary
`String` | `getContextId()`
`Long` | `getKsessionId()`
`Long` | `getMappingId()`
`String` | `getOwnerId()`
`int` | `getVersion()`
`void` | `setContextId(String contextId)`
`void` | `setKsessionId(Long ksessionId)`
`void` | `setMappingId(Long mappingId)`
`void` | `setOwnerId(String ownerId)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMappingInfo

    public ContextMappingInfo()

### ContextMappingInfo

    public ContextMappingInfo(String contextId,
                              Long ksessionId,
                              String ownerId)

Method Detail

### getMappingId

    public Long getMappingId()

### setMappingId

    public void setMappingId(Long mappingId)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getContextId

    public String getContextId()

### setContextId

    public void setContextId(String contextId)

### getKsessionId

    public Long getKsessionId()

### setKsessionId

    public void setKsessionId(Long ksessionId)

### getOwnerId

    public String getOwnerId()

### setOwnerId

    public void setOwnerId(String ownerId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.